unit Window;

interface

uses
  windows, classes, graphics;

procedure CreateOddWindow(AHandle:THandle; ShowTitleBar:boolean);

implementation

procedure CreateOddWindow(AHandle:THandle; ShowTitleBar:boolean);
//-----------------------------------------------------------------------------//
//   Automatic created procedure by Gabe's Odd Form Assistant                  //
//                                                                             //
//   Add this unit to the uses clause of the form you would like to transform. //
//   Call this procedure from the form's OnCreate event like this:             //
//                                                                             //
//   procedure TMyForm.FormCreate(Sender: TObject);                            //
//   begin                                                                     //
//     CreateOddWindow(Handle, False);                                         //
//   end;                                                                      //
//                                                                             //
//   Parameters:                                                               //
//     AHandle:  The Handle of the form you want to transform to this shape.   //
//     ShowTitleBar: Decide whether the titlebar of the form is visible or not.//
//                                                                             //
//   Obs! The client area of the form should be of the same width as the       //
//   image you used to generate the source.                                    //
//                                                                             //
//   Informatics 1998-2000, http://www.informatics.no                          //
//   Made by Gabe: gabrielsen@informatics.no                                   //
//-----------------------------------------------------------------------------//
var
  R1, R2 : hRgn;
  dx : integer;
  dy : integer;
  Points : array [0..362] of TPoint;
begin
  dx := GetSystemMetrics(SM_CXFRAME);
  dy := GetSystemMetrics(SM_CYCAPTION)+GetSystemMetrics(SM_CYFRAME);

  if ShowTitleBar then
    R1 := CreateRectRgn(0, 0, 247 + dx*2 , dy )  //Obs! The client area of the form should be of the same width as the image you used to generate the source
  else
    R1 := CreateRectRgn(0,0,0,0);

  Points[0]:=Point(1 + dx,207 + dy);
  Points[1]:=Point(1 + dx,186 + dy);
  Points[2]:=Point(2 + dx,185 + dy);
  Points[3]:=Point(2 + dx,168 + dy);
  Points[4]:=Point(3 + dx,167 + dy);
  Points[5]:=Point(3 + dx,153 + dy);
  Points[6]:=Point(4 + dx,152 + dy);
  Points[7]:=Point(4 + dx,140 + dy);
  Points[8]:=Point(5 + dx,139 + dy);
  Points[9]:=Point(5 + dx,128 + dy);
  Points[10]:=Point(6 + dx,127 + dy);
  Points[11]:=Point(6 + dx,115 + dy);
  Points[12]:=Point(7 + dx,114 + dy);
  Points[13]:=Point(7 + dx,105 + dy);
  Points[14]:=Point(8 + dx,104 + dy);
  Points[15]:=Point(8 + dx,97 + dy);
  Points[16]:=Point(9 + dx,96 + dy);
  Points[17]:=Point(9 + dx,91 + dy);
  Points[18]:=Point(10 + dx,90 + dy);
  Points[19]:=Point(10 + dx,86 + dy);
  Points[20]:=Point(11 + dx,85 + dy);
  Points[21]:=Point(11 + dx,81 + dy);
  Points[22]:=Point(12 + dx,80 + dy);
  Points[23]:=Point(12 + dx,76 + dy);
  Points[24]:=Point(13 + dx,75 + dy);
  Points[25]:=Point(13 + dx,71 + dy);
  Points[26]:=Point(14 + dx,70 + dy);
  Points[27]:=Point(14 + dx,64 + dy);
  Points[28]:=Point(15 + dx,63 + dy);
  Points[29]:=Point(15 + dx,54 + dy);
  Points[30]:=Point(14 + dx,53 + dy);
  Points[31]:=Point(14 + dx,32 + dy);
  Points[32]:=Point(15 + dx,31 + dy);
  Points[33]:=Point(15 + dx,28 + dy);
  Points[34]:=Point(16 + dx,27 + dy);
  Points[35]:=Point(16 + dx,26 + dy);
  Points[36]:=Point(17 + dx,25 + dy);
  Points[37]:=Point(17 + dx,24 + dy);
  Points[38]:=Point(19 + dx,22 + dy);
  Points[39]:=Point(19 + dx,21 + dy);
  Points[40]:=Point(21 + dx,21 + dy);
  Points[41]:=Point(21 + dx,20 + dy);
  Points[42]:=Point(23 + dx,18 + dy);
  Points[43]:=Point(25 + dx,18 + dy);
  Points[44]:=Point(25 + dx,17 + dy);
  Points[45]:=Point(26 + dx,16 + dy);
  Points[46]:=Point(28 + dx,16 + dy);
  Points[47]:=Point(29 + dx,16 + dy);
  Points[48]:=Point(29 + dx,15 + dy);
  Points[49]:=Point(31 + dx,15 + dy);
  Points[50]:=Point(31 + dx,14 + dy);
  Points[51]:=Point(33 + dx,14 + dy);
  Points[52]:=Point(35 + dx,14 + dy);
  Points[53]:=Point(35 + dx,13 + dy);
  Points[54]:=Point(37 + dx,13 + dy);
  Points[55]:=Point(41 + dx,13 + dy);
  Points[56]:=Point(41 + dx,12 + dy);
  Points[57]:=Point(43 + dx,12 + dy);
  Points[58]:=Point(60 + dx,12 + dy);
  Points[59]:=Point(60 + dx,11 + dy);
  Points[60]:=Point(62 + dx,11 + dy);
  Points[61]:=Point(67 + dx,11 + dy);
  Points[62]:=Point(67 + dx,10 + dy);
  Points[63]:=Point(69 + dx,10 + dy);
  Points[64]:=Point(71 + dx,10 + dy);
  Points[65]:=Point(71 + dx,9 + dy);
  Points[66]:=Point(73 + dx,9 + dy);
  Points[67]:=Point(74 + dx,9 + dy);
  Points[68]:=Point(74 + dx,8 + dy);
  Points[69]:=Point(76 + dx,8 + dy);
  Points[70]:=Point(78 + dx,8 + dy);
  Points[71]:=Point(78 + dx,7 + dy);
  Points[72]:=Point(80 + dx,7 + dy);
  Points[73]:=Point(81 + dx,7 + dy);
  Points[74]:=Point(81 + dx,6 + dy);
  Points[75]:=Point(83 + dx,6 + dy);
  Points[76]:=Point(84 + dx,6 + dy);
  Points[77]:=Point(84 + dx,5 + dy);
  Points[78]:=Point(86 + dx,5 + dy);
  Points[79]:=Point(88 + dx,5 + dy);
  Points[80]:=Point(88 + dx,4 + dy);
  Points[81]:=Point(90 + dx,4 + dy);
  Points[82]:=Point(91 + dx,4 + dy);
  Points[83]:=Point(91 + dx,3 + dy);
  Points[84]:=Point(93 + dx,3 + dy);
  Points[85]:=Point(96 + dx,3 + dy);
  Points[86]:=Point(96 + dx,2 + dy);
  Points[87]:=Point(98 + dx,2 + dy);
  Points[88]:=Point(102 + dx,2 + dy);
  Points[89]:=Point(102 + dx,1 + dy);
  Points[90]:=Point(104 + dx,1 + dy);
  Points[91]:=Point(168 + dx,1 + dy);
  Points[92]:=Point(169 + dx,2 + dy);
  Points[93]:=Point(175 + dx,2 + dy);
  Points[94]:=Point(176 + dx,3 + dy);
  Points[95]:=Point(177 + dx,3 + dy);
  Points[96]:=Point(178 + dx,4 + dy);
  Points[97]:=Point(182 + dx,4 + dy);
  Points[98]:=Point(183 + dx,5 + dy);
  Points[99]:=Point(191 + dx,5 + dy);
  Points[100]:=Point(192 + dx,6 + dy);
  Points[101]:=Point(201 + dx,6 + dy);
  Points[102]:=Point(202 + dx,7 + dy);
  Points[103]:=Point(206 + dx,7 + dy);
  Points[104]:=Point(207 + dx,8 + dy);
  Points[105]:=Point(209 + dx,8 + dy);
  Points[106]:=Point(210 + dx,9 + dy);
  Points[107]:=Point(212 + dx,9 + dy);
  Points[108]:=Point(213 + dx,10 + dy);
  Points[109]:=Point(214 + dx,10 + dy);
  Points[110]:=Point(215 + dx,11 + dy);
  Points[111]:=Point(216 + dx,11 + dy);
  Points[112]:=Point(218 + dx,13 + dy);
  Points[113]:=Point(219 + dx,13 + dy);
  Points[114]:=Point(227 + dx,21 + dy);
  Points[115]:=Point(227 + dx,22 + dy);
  Points[116]:=Point(229 + dx,24 + dy);
  Points[117]:=Point(229 + dx,25 + dy);
  Points[118]:=Point(231 + dx,27 + dy);
  Points[119]:=Point(231 + dx,28 + dy);
  Points[120]:=Point(232 + dx,29 + dy);
  Points[121]:=Point(232 + dx,31 + dy);
  Points[122]:=Point(233 + dx,32 + dy);
  Points[123]:=Point(233 + dx,33 + dy);
  Points[124]:=Point(234 + dx,34 + dy);
  Points[125]:=Point(234 + dx,36 + dy);
  Points[126]:=Point(235 + dx,37 + dy);
  Points[127]:=Point(235 + dx,40 + dy);
  Points[128]:=Point(236 + dx,41 + dy);
  Points[129]:=Point(236 + dx,44 + dy);
  Points[130]:=Point(237 + dx,45 + dy);
  Points[131]:=Point(237 + dx,48 + dy);
  Points[132]:=Point(238 + dx,49 + dy);
  Points[133]:=Point(238 + dx,54 + dy);
  Points[134]:=Point(239 + dx,55 + dy);
  Points[135]:=Point(239 + dx,61 + dy);
  Points[136]:=Point(240 + dx,62 + dy);
  Points[137]:=Point(240 + dx,70 + dy);
  Points[138]:=Point(241 + dx,71 + dy);
  Points[139]:=Point(241 + dx,78 + dy);
  Points[140]:=Point(242 + dx,79 + dy);
  Points[141]:=Point(242 + dx,87 + dy);
  Points[142]:=Point(243 + dx,88 + dy);
  Points[143]:=Point(243 + dx,97 + dy);
  Points[144]:=Point(244 + dx,98 + dy);
  Points[145]:=Point(244 + dx,107 + dy);
  Points[146]:=Point(245 + dx,108 + dy);
  Points[147]:=Point(245 + dx,121 + dy);
  Points[148]:=Point(246 + dx,122 + dy);
  Points[149]:=Point(246 + dx,139 + dy);
  Points[150]:=Point(247 + dx,140 + dy);
  Points[151]:=Point(247 + dx,216 + dy);
  Points[152]:=Point(245 + dx,218 + dy);
  Points[153]:=Point(246 + dx,218 + dy);
  Points[154]:=Point(246 + dx,236 + dy);
  Points[155]:=Point(244 + dx,238 + dy);
  Points[156]:=Point(245 + dx,238 + dy);
  Points[157]:=Point(245 + dx,250 + dy);
  Points[158]:=Point(243 + dx,252 + dy);
  Points[159]:=Point(244 + dx,252 + dy);
  Points[160]:=Point(244 + dx,261 + dy);
  Points[161]:=Point(242 + dx,263 + dy);
  Points[162]:=Point(243 + dx,263 + dy);
  Points[163]:=Point(243 + dx,275 + dy);
  Points[164]:=Point(241 + dx,277 + dy);
  Points[165]:=Point(242 + dx,277 + dy);
  Points[166]:=Point(242 + dx,283 + dy);
  Points[167]:=Point(240 + dx,285 + dy);
  Points[168]:=Point(241 + dx,285 + dy);
  Points[169]:=Point(241 + dx,288 + dy);
  Points[170]:=Point(239 + dx,290 + dy);
  Points[171]:=Point(240 + dx,290 + dy);
  Points[172]:=Point(238 + dx,292 + dy);
  Points[173]:=Point(239 + dx,292 + dy);
  Points[174]:=Point(237 + dx,294 + dy);
  Points[175]:=Point(238 + dx,294 + dy);
  Points[176]:=Point(236 + dx,296 + dy);
  Points[177]:=Point(235 + dx,296 + dy);
  Points[178]:=Point(229 + dx,302 + dy);
  Points[179]:=Point(230 + dx,302 + dy);
  Points[180]:=Point(228 + dx,304 + dy);
  Points[181]:=Point(229 + dx,304 + dy);
  Points[182]:=Point(227 + dx,306 + dy);
  Points[183]:=Point(228 + dx,306 + dy);
  Points[184]:=Point(228 + dx,307 + dy);
  Points[185]:=Point(226 + dx,309 + dy);
  Points[186]:=Point(227 + dx,309 + dy);
  Points[187]:=Point(227 + dx,310 + dy);
  Points[188]:=Point(225 + dx,312 + dy);
  Points[189]:=Point(226 + dx,312 + dy);
  Points[190]:=Point(226 + dx,313 + dy);
  Points[191]:=Point(224 + dx,315 + dy);
  Points[192]:=Point(225 + dx,315 + dy);
  Points[193]:=Point(225 + dx,316 + dy);
  Points[194]:=Point(223 + dx,318 + dy);
  Points[195]:=Point(224 + dx,318 + dy);
  Points[196]:=Point(224 + dx,320 + dy);
  Points[197]:=Point(222 + dx,322 + dy);
  Points[198]:=Point(223 + dx,322 + dy);
  Points[199]:=Point(223 + dx,323 + dy);
  Points[200]:=Point(221 + dx,325 + dy);
  Points[201]:=Point(222 + dx,325 + dy);
  Points[202]:=Point(222 + dx,327 + dy);
  Points[203]:=Point(220 + dx,329 + dy);
  Points[204]:=Point(221 + dx,329 + dy);
  Points[205]:=Point(221 + dx,330 + dy);
  Points[206]:=Point(219 + dx,332 + dy);
  Points[207]:=Point(220 + dx,332 + dy);
  Points[208]:=Point(218 + dx,334 + dy);
  Points[209]:=Point(219 + dx,334 + dy);
  Points[210]:=Point(219 + dx,335 + dy);
  Points[211]:=Point(217 + dx,337 + dy);
  Points[212]:=Point(218 + dx,337 + dy);
  Points[213]:=Point(216 + dx,339 + dy);
  Points[214]:=Point(217 + dx,339 + dy);
  Points[215]:=Point(215 + dx,341 + dy);
  Points[216]:=Point(214 + dx,342 + dy);
  Points[217]:=Point(215 + dx,342 + dy);
  Points[218]:=Point(213 + dx,344 + dy);
  Points[219]:=Point(212 + dx,345 + dy);
  Points[220]:=Point(213 + dx,345 + dy);
  Points[221]:=Point(211 + dx,347 + dy);
  Points[222]:=Point(203 + dx,355 + dy);
  Points[223]:=Point(202 + dx,355 + dy);
  Points[224]:=Point(199 + dx,358 + dy);
  Points[225]:=Point(198 + dx,358 + dy);
  Points[226]:=Point(197 + dx,359 + dy);
  Points[227]:=Point(196 + dx,359 + dy);
  Points[228]:=Point(194 + dx,361 + dy);
  Points[229]:=Point(193 + dx,361 + dy);
  Points[230]:=Point(192 + dx,362 + dy);
  Points[231]:=Point(191 + dx,362 + dy);
  Points[232]:=Point(190 + dx,363 + dy);
  Points[233]:=Point(189 + dx,363 + dy);
  Points[234]:=Point(188 + dx,364 + dy);
  Points[235]:=Point(187 + dx,364 + dy);
  Points[236]:=Point(186 + dx,365 + dy);
  Points[237]:=Point(185 + dx,365 + dy);
  Points[238]:=Point(184 + dx,366 + dy);
  Points[239]:=Point(183 + dx,366 + dy);
  Points[240]:=Point(182 + dx,367 + dy);
  Points[241]:=Point(180 + dx,367 + dy);
  Points[242]:=Point(179 + dx,368 + dy);
  Points[243]:=Point(177 + dx,368 + dy);
  Points[244]:=Point(176 + dx,369 + dy);
  Points[245]:=Point(175 + dx,369 + dy);
  Points[246]:=Point(174 + dx,370 + dy);
  Points[247]:=Point(171 + dx,370 + dy);
  Points[248]:=Point(170 + dx,371 + dy);
  Points[249]:=Point(168 + dx,371 + dy);
  Points[250]:=Point(167 + dx,372 + dy);
  Points[251]:=Point(164 + dx,372 + dy);
  Points[252]:=Point(163 + dx,373 + dy);
  Points[253]:=Point(159 + dx,373 + dy);
  Points[254]:=Point(158 + dx,374 + dy);
  Points[255]:=Point(154 + dx,374 + dy);
  Points[256]:=Point(153 + dx,375 + dy);
  Points[257]:=Point(147 + dx,375 + dy);
  Points[258]:=Point(146 + dx,376 + dy);
  Points[259]:=Point(135 + dx,376 + dy);
  Points[260]:=Point(134 + dx,377 + dy);
  Points[261]:=Point(115 + dx,377 + dy);
  Points[262]:=Point(114 + dx,375 + dy);
  Points[263]:=Point(113 + dx,376 + dy);
  Points[264]:=Point(104 + dx,376 + dy);
  Points[265]:=Point(103 + dx,374 + dy);
  Points[266]:=Point(102 + dx,375 + dy);
  Points[267]:=Point(98 + dx,375 + dy);
  Points[268]:=Point(97 + dx,373 + dy);
  Points[269]:=Point(96 + dx,374 + dy);
  Points[270]:=Point(92 + dx,374 + dy);
  Points[271]:=Point(91 + dx,372 + dy);
  Points[272]:=Point(90 + dx,373 + dy);
  Points[273]:=Point(88 + dx,373 + dy);
  Points[274]:=Point(87 + dx,371 + dy);
  Points[275]:=Point(86 + dx,372 + dy);
  Points[276]:=Point(84 + dx,372 + dy);
  Points[277]:=Point(83 + dx,370 + dy);
  Points[278]:=Point(82 + dx,371 + dy);
  Points[279]:=Point(81 + dx,371 + dy);
  Points[280]:=Point(80 + dx,369 + dy);
  Points[281]:=Point(79 + dx,370 + dy);
  Points[282]:=Point(78 + dx,370 + dy);
  Points[283]:=Point(77 + dx,368 + dy);
  Points[284]:=Point(76 + dx,369 + dy);
  Points[285]:=Point(75 + dx,369 + dy);
  Points[286]:=Point(74 + dx,367 + dy);
  Points[287]:=Point(73 + dx,368 + dy);
  Points[288]:=Point(72 + dx,368 + dy);
  Points[289]:=Point(71 + dx,366 + dy);
  Points[290]:=Point(70 + dx,367 + dy);
  Points[291]:=Point(69 + dx,367 + dy);
  Points[292]:=Point(68 + dx,365 + dy);
  Points[293]:=Point(67 + dx,366 + dy);
  Points[294]:=Point(66 + dx,364 + dy);
  Points[295]:=Point(65 + dx,365 + dy);
  Points[296]:=Point(64 + dx,363 + dy);
  Points[297]:=Point(63 + dx,364 + dy);
  Points[298]:=Point(62 + dx,362 + dy);
  Points[299]:=Point(61 + dx,363 + dy);
  Points[300]:=Point(60 + dx,361 + dy);
  Points[301]:=Point(59 + dx,362 + dy);
  Points[302]:=Point(58 + dx,360 + dy);
  Points[303]:=Point(57 + dx,361 + dy);
  Points[304]:=Point(56 + dx,359 + dy);
  Points[305]:=Point(55 + dx,360 + dy);
  Points[306]:=Point(54 + dx,358 + dy);
  Points[307]:=Point(53 + dx,359 + dy);
  Points[308]:=Point(52 + dx,357 + dy);
  Points[309]:=Point(51 + dx,356 + dy);
  Points[310]:=Point(50 + dx,357 + dy);
  Points[311]:=Point(49 + dx,355 + dy);
  Points[312]:=Point(48 + dx,354 + dy);
  Points[313]:=Point(47 + dx,355 + dy);
  Points[314]:=Point(46 + dx,353 + dy);
  Points[315]:=Point(45 + dx,352 + dy);
  Points[316]:=Point(44 + dx,353 + dy);
  Points[317]:=Point(43 + dx,351 + dy);
  Points[318]:=Point(41 + dx,349 + dy);
  Points[319]:=Point(40 + dx,350 + dy);
  Points[320]:=Point(39 + dx,348 + dy);
  Points[321]:=Point(25 + dx,334 + dy);
  Points[322]:=Point(25 + dx,333 + dy);
  Points[323]:=Point(21 + dx,329 + dy);
  Points[324]:=Point(21 + dx,328 + dy);
  Points[325]:=Point(19 + dx,326 + dy);
  Points[326]:=Point(19 + dx,325 + dy);
  Points[327]:=Point(17 + dx,323 + dy);
  Points[328]:=Point(17 + dx,322 + dy);
  Points[329]:=Point(16 + dx,321 + dy);
  Points[330]:=Point(16 + dx,320 + dy);
  Points[331]:=Point(14 + dx,318 + dy);
  Points[332]:=Point(14 + dx,317 + dy);
  Points[333]:=Point(13 + dx,316 + dy);
  Points[334]:=Point(13 + dx,315 + dy);
  Points[335]:=Point(12 + dx,314 + dy);
  Points[336]:=Point(12 + dx,313 + dy);
  Points[337]:=Point(11 + dx,312 + dy);
  Points[338]:=Point(11 + dx,311 + dy);
  Points[339]:=Point(10 + dx,310 + dy);
  Points[340]:=Point(10 + dx,308 + dy);
  Points[341]:=Point(9 + dx,307 + dy);
  Points[342]:=Point(9 + dx,306 + dy);
  Points[343]:=Point(8 + dx,305 + dy);
  Points[344]:=Point(8 + dx,303 + dy);
  Points[345]:=Point(7 + dx,302 + dy);
  Points[346]:=Point(7 + dx,301 + dy);
  Points[347]:=Point(6 + dx,300 + dy);
  Points[348]:=Point(6 + dx,297 + dy);
  Points[349]:=Point(5 + dx,296 + dy);
  Points[350]:=Point(5 + dx,294 + dy);
  Points[351]:=Point(4 + dx,293 + dy);
  Points[352]:=Point(4 + dx,290 + dy);
  Points[353]:=Point(3 + dx,289 + dy);
  Points[354]:=Point(3 + dx,285 + dy);
  Points[355]:=Point(2 + dx,284 + dy);
  Points[356]:=Point(2 + dx,278 + dy);
  Points[357]:=Point(1 + dx,277 + dy);
  Points[358]:=Point(1 + dx,265 + dy);
  Points[359]:=Point(0 + dx,264 + dy);
  Points[360]:=Point(0 + dx,207 + dy);
  Points[361]:=Point(1 + dx,207 + dy);
  R2:=CreatePolygonRgn(Points[0],362,Winding);
  CombineRgn(R1,R1,R2,Rgn_XOR);
  SetWindowRgn(AHandle,R1,True);
end;

end.
